Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.webservice
Interface EnterpriseObjectBean

public interface EnterpriseObjectBean

EnterpriseObjectBean value object

Method Summary
`void` | `deleteSystemObjectBean(java.lang.String system, java.lang.String lid)` mark a SystemObject from EnterpriseObject for deletion
`java.lang.String` | `getEUID()` Getter for EUID attribute of the EnterpriseObject object
`java.lang.String` | `getStatus()` Getter for Status attribute of the EnterpriseObject object
`EnterpriseObject` | `pGetEnterpriseObject()` Getter for enterprise object
`SBRObjectBean` | `pGetSBRObjectBean()` Getter for SBR attribute of the EnterprisePerson object
`SystemObjectBean[]` | `pGetSystemObjectBean()` Getter for SystemObjects attribute of the EnterpriseObject object
`SystemObjectBean` | `pGetSystemObjectBean(int index)` Getter for ith SystemObjectBean
`SystemObjectBean` | `pGetSystemObjectBean(java.lang.String system, java.lang.String lid)` Getter for SystemObject attribute of the EnterpriseObject object
`void` | `removeSystemObjectBean(java.lang.String system, java.lang.String lid)` Removes a SystemObject from EnterpriseObject
`void` | `setEUID(java.lang.String euid)` Setter for EUID attribute of the EnterpriseObject object
`void` | `setStatus(java.lang.String status)` Getter for Status attribute of the EnterpriseObject object

Method Detail

### deleteSystemObjectBean

    public void deleteSystemObjectBean(java.lang.String system,
                                       java.lang.String lid)
                                throws ObjectException

  mark a SystemObject from EnterpriseObject for deletion

  Parameters:
    `system` - System Code
    `lid` - Local ID
  Throws:
    `ObjectException` - if error occures

### getEUID

    public java.lang.String getEUID()
                             throws ObjectException

  Getter for EUID attribute of the EnterpriseObject object

  Returns:
    euid of EnterpriseObject object
  Throws:
    `ObjectException` - if error occures

### getStatus

    public java.lang.String getStatus()
                               throws ObjectException

  Getter for Status attribute of the EnterpriseObject object

  Returns:
    status of EnterpriseObject object
  Throws:
    `ObjectException` - if error occures

### pGetEnterpriseObject

    public EnterpriseObject pGetEnterpriseObject()

  Getter for enterprise object

  Returns:
    enterprise object

### pGetSBRObjectBean

    public SBRObjectBean pGetSBRObjectBean()

  Getter for SBR attribute of the EnterprisePerson object

  Returns:
    SBR object bean

### pGetSystemObjectBean

    public SystemObjectBean[] pGetSystemObjectBean()

  Getter for SystemObjects attribute of the EnterpriseObject object

  Returns:
    Collection of SystemObject(s)

### pGetSystemObjectBean

    public SystemObjectBean pGetSystemObjectBean(int index)

  Getter for ith SystemObjectBean

  Parameters:
    `index` - index of SystemObjectBean
  Returns:
    SystemObjectBean

### pGetSystemObjectBean

    public SystemObjectBean pGetSystemObjectBean(java.lang.String system,
                                                 java.lang.String lid)
                                          throws ObjectException

  Getter for SystemObject attribute of the EnterpriseObject object

  Parameters:
    `system` - SystemCode
    `lid` - LocalID
  Returns:
    System ObjectBean
  Throws:
    `ObjectException` - if error occures

### removeSystemObjectBean

    public void removeSystemObjectBean(java.lang.String system,
                                       java.lang.String lid)
                                throws ObjectException

  Removes a SystemObject from EnterpriseObject

  Parameters:
    `system` - System Code
    `lid` - Local ID
  Throws:
    `ObjectException` - if error occures

### setEUID

    public void setEUID(java.lang.String euid)
                 throws ObjectException

  Setter for EUID attribute of the EnterpriseObject object

  Parameters:
    `euid` - EUID
  Throws:
    `ObjectException` - if error occures

### setStatus

    public void setStatus(java.lang.String status)
                   throws ObjectException

  Getter for Status attribute of the EnterpriseObject object

  Parameters:
    `status` - Enterprise Object status
  Throws:
    `ObjectException` - if error occures

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.